Subject: Re: ftrace introduces instability into kernel 2.6.27(-rc2,-rc3)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 20 Aug 2008 07:46:44 +1000

> Register GPR30 is always zero... (also true for the other oops)

>>From my experiments, -a- non volatile register gets corrupted. Not
always the same and not always with the same value.

The corruption -seems- to happen due to corruption of the location on
the stack where it was saved to / restored from in a previous function
call or interrupt.

I haven't yet tracked down what actually whacks the stack.

Ben.